
//set more off
clear
use "... /ChachaStojek_CMPS2016.dta"

*********************
** Models in Table 1
*********************
//colonial dummy 
xtlogit intervention      colhist  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog
// trade
xtlogit intervention      colhist c.l1trade_gleln   l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog
// political affinity 
xtlogit intervention      colhist c.idealpointdistance   l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog
// linguistic affiliation
xtlogit intervention      colhist  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog
// all variables
xtlogit intervention colhist c.l1trade_gleln idealpointdistance comlang_ethno l1powerbal logdistance         Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog


*********************
** Models in Table 3 
*********************
xtlogit intervention      c.l1trade_gleln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog
xtlogit intervention      c.l1trade_gleln colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog
xtlogit intervention      c.l1trade_gleln c.idealpointdistance colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1989, i(confyear) nolog

*******************************************************
*******************************************************
*******************************************************
****** APPENDIXES TO THE THE PAPER MODELS/CODE ********
*******************************************************
*******************************************************
*******************************************************

*********************************
// Appendix A: Main models, sample since 1980
*********************************
xtlogit intervention      colhist  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog
xtlogit intervention      colhist c.l1trade_gleln   l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog
xtlogit intervention      colhist c.idealpointdistance   l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog
xtlogit intervention      colhist  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog
xtlogit intervention colhist c.l1trade_gleln idealpointdistance comlang_ethno l1powerbal logdistance         Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog
*********************************
// Appendix B: Conditional models, sample since 1980
*********************************
xtlogit intervention      c.l1trade_gleln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog
xtlogit intervention      c.l1trade_gleln colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog 
xtlogit intervention      c.l1trade_gleln c.idealpointdistance colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980, i(confyear) nolog
*********************************
// Appendix C: Main models, sample since 1980 - Civil Wars in former colonies ONLY // 
*********************************
xtlogit intervention      colhist  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
xtlogit intervention      colhist c.l1trade_gleln   l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog 
xtlogit intervention      colhist c.idealpointdistance   l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony ==1, i(confyear) nolog
xtlogit intervention      colhist  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony ==1, i(confyear) nolog
xtlogit intervention      colhist c.l1trade_gleln idealpointdistance comlang_ethno l1powerbal logdistance         Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony ==1, i(confyear) nolog
*********************************
// Appendix D: Conditional Models, sample since 1980 - Civil wars in former colonies only
*********************************
xtlogit intervention      c.l1trade_gleln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony ==1, i(confyear) nolog
xtlogit intervention      c.l1trade_gleln colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony ==1, i(confyear) nolog
xtlogit intervention      c.l1trade_gleln c.idealpointdistance colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony ==1, i(confyear) nolog

*********************************
// Appendix E: Conditional Models Substituting Trade with Trade Dependence
*********************************

xtlogit intervention     c.l1trade_depBgle##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m1
xtlogit intervention     c.l1trade_depBgle colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m2
xtlogit intervention     c.l1trade_depBgle c.idealpointdistance colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m3

*********************************
// Appendix F: Conditional Models ADDING MAJOR POWER INTERVENER
*********************************


xtlogit intervention   majpow  c.l1trade_gleln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1 , i(confyear) nolog
est store m4
xtlogit intervention   majpow   c.l1trade_gleln colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1 , i(confyear) nolog
est store m5
xtlogit intervention   majpow   c.l1trade_gleln c.idealpointdistance colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees if year>1980 & formercolony==1, i(confyear) nolog
est store m6


*********************************
// Appendix G: DEFENSIVE ALLIANCE
*********************************

xtlogit intervention     c.l1trade_gleln##colhist l1alliance_best  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m7
xtlogit intervention     c.l1trade_gleln colhist##c.l1alliance_best  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m8
xtlogit intervention     c.l1trade_gleln l1alliance_best colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m9

******************************************************************
// Appendix H: limiting the sample to countries who have any history of intervention
******************************************************************

xtlogit intervention    c.l1trade_gleln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & intever==1, i(confyear) nolog
est store m10
xtlogit intervention    c.l1trade_gleln colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & intever==1, i(confyear) nolog
est store m11
xtlogit intervention    c.l1trade_gleln c.idealpointdistance  c.comlang_ethno##colhist  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & intever==1, i(confyear) nolog
est store m12

******************************************************************
// Appendix I: Additional models using bilateral imports and exports//
******************************************************************

xtlogit intervention  c.l1impabgleln##c.colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m13
xtlogit intervention  c.l1expabgleln##c.colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m14
xtlogit intervention  l1impabgleln    colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m15
xtlogit intervention   l1expabgleln   colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m16
xtlogit intervention  l1impabgleln     c.idealpointdistance  colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m17
xtlogit intervention   l1expabgleln    c.idealpointdistance  colhist##c.comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m18
******************************************************************
// Appendix J: adding france as opposed to all major powers
******************************************************************

xtlogit intervention     fra  c.l1trade_gleln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m19
xtlogit intervention     fra  c.l1trade_gleln c.colhist##c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m20
xtlogit intervention     fra  c.l1trade_gleln c.idealpointdistance  c.comlang_ethno##c.colhist  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m21
******************************************************************
// Appendix K: lagging trade by 2 and 3 years, (since 1980)
******************************************************************

xtlogit intervention      c.l2tradeln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m22
xtlogit intervention      c.l3tradeln##colhist c.idealpointdistance  comlang_ethno  l1powerbal logdistance       Oil l1polity2 l1rgdp96pcalog  ethnic01 intense000 refugees  if year>1980 & formercolony==1, i(confyear) nolog
est store m23

**********************************
**********************************
**********************************
